<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>${pageTitleCustomized}</title>

  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <link rel="stylesheet" href="${pageContext.request.contextPath}/bootstrap/css/bootstrap.css">
  <link rel="stylesheet" href="${pageContext.request.contextPath}/dist/css/font-awesome.css">
  <link rel="stylesheet" href="${pageContext.request.contextPath}/dist/css/ionicons.css">
  <link rel="stylesheet" href="${pageContext.request.contextPath}/plugins/select2/select2.css">
  <link rel="stylesheet" href="${pageContext.request.contextPath}/dist/css/AdminLTE.css">
  <link rel="stylesheet" href="${pageContext.request.contextPath}/dist/css/skins/skin-green.css">

  <link rel="stylesheet" href="${pageContext.request.contextPath}/plugins/iCheck/flat/_all.css">
  <link rel="stylesheet" href="${pageContext.request.contextPath}/plugins/iCheck/flat/aero.css">
  <link rel="stylesheet" href="${pageContext.request.contextPath}/plugins/datepicker/datepicker3.css">
  <link rel="stylesheet" href="${pageContext.request.contextPath}/plugins/daterangepicker/daterangepicker.css">
  <link rel="stylesheet" href="${pageContext.request.contextPath}/plugins/timepicker/bootstrap-timepicker.min.css">
  <link rel="stylesheet" href="${pageContext.request.contextPath}/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css">
  <link rel="stylesheet" href="${pageContext.request.contextPath}/plugins/datatables/dataTables.bootstrap.css">
  
  <link rel="shortcut icon"  href="${pageContext.request.contextPath}/dist/img/favicon.ico" />
</head>
<body class="hold-transition skin-green sidebar-mini"><!--sidebar-collapse!-->
<div class="wrapper">

 <%-- TOOLBAR SUPERIOR MENU --%>
  <header class="main-header">

	<%-- Logo --%>
	<a href="calendario_reservas" class="logo">
	  <%-- mini logo for sidebar mini 50x50 pixels --%>
	  <span class="logo-mini"><i class="fa fa-desktop" aria-hidden="true"></i></span>
	  <%-- logo for regular state and mobile devices --%>
	  <span class="logo-lg">Minhas<b>Quadras</b></span>
	</a>

	<%-- Header Navbar --%>
	<nav class="navbar navbar-static-top" role="navigation">
	  <%-- Sidebar toggle button--%>
	  <a href="#" class="sidebar-toggle" data-toggle="offcanvas" role="button">
		<span class="sr-only">Alternar navegao</span>
	  </a>
	  
	  <%-- Navbar Right Menu --%>
	  <div class="navbar-custom-menu">
		<ul class="nav navbar-nav">

		  <%-- User Account Menu --%>
		  <li class="dropdown user user-menu">
			<%-- Menu Toggle Button --%>
			<a href="#" class="dropdown-toggle" data-toggle="dropdown">
			  <%-- The user image in the navbar--%>
			  <img src="dist/img/u_.jpg" class="user-image" alt="User Image">
			  <%--<img src="dist/img/u_${sessionScope.usuario.matricula}.jpg" class="user-image" alt="User Image">--%>
			  <%-- hidden-xs hides the username on small devices so only the image appears. --%>
			  <span class="hidden-xs">${sessionScope.usuario.nome}</span>
			</a>
			<ul class="dropdown-menu">
			  <%-- The user image in the menu --%>
			  <li class="user-header">
				<img src="dist/img/u_.jpg" class="img-circle" alt="User Image">
				<%--<img src="dist/img/u_${sessionScope.usuario.matricula}.jpg" class="img-circle" alt="User Image">--%>
				<p>
				  ${sessionScope.usuario.nome}
				  <small>Nvel de acesso: ${sessionScope.usuario.acesso.descricao}</small>
				</p>
			  </li>
			  <%-- Menu Footer--%>
			  <li class="user-footer">
				<div class="pull-right">
				  <a href="./sair" class="btn btn-danger"><i class="icon-signout"></i> SAIR</a>
				</div>
			  </li>
			</ul>
		  </li>

		</ul>
	  </div>
	</nav>
  </header>