package br.com.gestor.controller;

import java.io.IOException;
import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Date;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;

import javax.servlet.http.HttpServletResponse;
import javax.ws.rs.ApplicationPath;
import javax.ws.rs.Consumes;
import javax.ws.rs.DELETE;
import javax.ws.rs.FormParam;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.PUT;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Application;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;

import br.com.gestor.bean.Itens;
import br.com.gestor.bean.Manutencoes;
import br.com.gestor.bean.Quadras;
import br.com.gestor.bean.Reservas;
import br.com.gestor.dao.ItensDao;
import br.com.gestor.dao.ManutencoesDao;
import br.com.gestor.dao.QuadrasDao;
import br.com.gestor.dao.ReservasDao;

@ApplicationPath("/minhaquadra")//TEM BARRA INICIAL
@Path("manutencoes")//NAO TEM BARRA INICIAL
public class ManutencoesCtrl extends Application {

   private static final int SUCCESS_RECORD = 1;
   private static final int FAILURE_RECORD = 0;

    //http://localhost:8080/quadras/minhaquadra/manutencoes/console/123
    @GET
	@Path("console/{objeto}")
	public String getManutencoes(@PathParam("objeto") int n){
		System.err.println(n);
		return String.valueOf(n);
	}
	
	//http://localhost:8080/quadras/minhaquadra/manutencoes/cadastrar/banco
//	@PUT
//	@Path("cadastrar/banco")
//	@Produces(MediaType.APPLICATION_JSON)
//	@Consumes(MediaType.APPLICATION_FORM_URLENCODED)//APPLICATION_FORM_URLENCODED NAO ACEITA @GET
//	public int cadastroManutencoes(
//			@FormParam("horaInicial") String horaInicialParam,
//			@FormParam("dataInicial") String dataInicialParam,
//			
//			@FormParam("horaFinal") String horaFinalParam,
//			@FormParam("dataFinal") String dataFinalParam,
//
//			@FormParam("quadra") String descQuadra,
//			@FormParam("arrayCodsItens") String arrayCodsItens,
//			@FormParam("arrayQtdsItens") String arrayQtdsItens,
//			@Context HttpServletResponse servletResponse) throws IOException, ParseException{
//
//		ReservasDao daoReservas = new ReservasDao();
//		ManutencoesDao daoManutencoes = new ManutencoesDao();
//		ItensDao daoItens = new ItensDao();
//		QuadrasDao daoQuadras = new QuadrasDao();
//		
//		Reservas reserva= new Reservas();
//		Manutencoes manutencao = new Manutencoes();
//    	
//		ArrayList<Itens> listItens = new ArrayList<Itens>();
//    	ArrayList<Integer> listQtds = new ArrayList<Integer>();
//    	
//    	Quadras quadra = new Quadras();
//    	ArrayList<Quadras> listQuadras = new ArrayList<Quadras>();
//   	
//    	int valorTotal = 0;
//    	
//    	//Fazer array de itens e valores
//    	List<String> listCodsItens = new ArrayList<String>(Arrays.asList(arrayCodsItens.split(";")));
//    	List<String> listQtdsItens = new ArrayList<String>(Arrays.asList(arrayQtdsItens.split(";")));
//    	
//    	for(int i = 0; i < listCodsItens.size(); i++ ){
//    		listQtds.add(Integer.parseInt(listQtdsItens.get(i)));
//    		
//    		if(listQtds.get(i) != 0){
//	    		Itens item = new Itens();
//	    		item.setCodItem(Integer.parseInt(listCodsItens.get(i)));
//	    		item = daoItens.listarItens(item).get(0);
//	    		listItens.add(item);
//	    		
//	    		valorTotal += listQtds.get(i) * item.getValor();
//    		}
//    	}
//
//    	//Inserir Manutencao
//    	manutencao.setItensManutencao(listItens);
//    	manutencao.setQtds(listQtds);
//    	manutencao.setValor_total(valorTotal);    	
//		
//    	int result = daoManutencoes.insert(manutencao);
//    	manutencao.setCodIManutencao(result);
//    	
//    	//Inserir Reserva
//		SimpleDateFormat dataFormat = new SimpleDateFormat("dd/MM/yyyy");
////		Date dataInicial = dataFormat.parse(dataInicialParam);
////		Date dataFinal = dataFormat.parse(dataFinalParam);
//		
//		SimpleDateFormat horaFormat = new SimpleDateFormat("HH:mm");
////		Date horaInicial = horaFormat.parse(horaInicialParam);
////		Date horaFinal = horaFormat.parse(horaFinalParam);
//
//		quadra = daoQuadras.buscarQuadra(descQuadra);
//		listQuadras.add(quadra);
//		
//		reserva.setTipoReserva("M");
//		reserva.setCodTipoReserva(manutencao.getCodIManutencao());
//		reserva.setDataInicial( dataFormat.parse(dataInicialParam) );
//		reserva.setDataFinal( dataFormat.parse(dataFinalParam) );
//		reserva.setHoraInicial( horaFormat.parse(horaInicialParam) );
//		reserva.setHoraFinal( horaFormat.parse(horaFinalParam) );
//		reserva.setQuadras(listQuadras);
//		reserva.setManutencoes(manutencao);
//		
//		result = daoReservas.cadastrarReservasManutencoes(reserva);
//		if(result>0)
//			return SUCCESS_RECORD;
//		return FAILURE_RECORD;
//	}

//	//http://localhost:8080/quadras/minhaquadra/manutencoes/excluir/banco
//	@DELETE
//	@Path("excluir/banco")
//	@Produces(MediaType.APPLICATION_JSON)
//	@Consumes(MediaType.APPLICATION_FORM_URLENCODED)
//	public int excluir(
//			@FormParam("codigo") int codigo,
//			@Context HttpServletResponse servletResponse) throws IOException{
//
//		Itens item = new Itens();
//		item.setCodItem(codigo);
//		ItensDao dao = new ItensDao();
//
//		int result = dao.delete(item);
//		if(result>0)
//			return SUCCESS_RECORD;
//		return FAILURE_RECORD;
//	}
}