package br.com.gestor.servlet;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import br.com.gestor.bean.Usuario;

/**
 * Servlet implementation class Logout
 */
@WebServlet("/sair")
public class LogoutSvt extends HttpServlet {
	private static final long serialVersionUID = 1L;
	
    public LogoutSvt() {
        super();
    }

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		
		HttpSession session = request.getSession(true);//atual
		session.setAttribute("usuario", new Usuario());//apaga
        session.invalidate();//invalida
		response.sendRedirect("./home");//redireciona
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		doGet(request, response);
	}
}
