<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<jsp:include page="main/header.jsp" />
<jsp:include page="main/menu-esquerdo.jsp" />


  <%-- DataTables --%>
  <link rel="stylesheet" href="${pageContext.request.contextPath}/plugins/datatables/dataTables.bootstrap.css">

  <%-- CONTEUDO CENTRAL --%>
  <div class="content-wrapper">
	<section class="content-header">
	  <h1>Relao de Grupos de Acesso <small> Pesquisa e cadastro.</small></h1>
	  <ol class="breadcrumb">
		<li><a href="#"><i class="fa fa-dashboard"></i> Level</a></li>
		<li class="active">Here</li>
	  </ol>
	</section>

	<section class="content">

		<div class="row">
		
			<div class="col-md-6 col-md-auto">
		
				<%-- CADASTRO DE TIPOS DE QUADRAS --%>
		        <div class="box box-solid box-info">
		            <div class="box-header with-border text-center">
		              <h3 class="box-title">Cadastrar novo grupo de acesso</h3>
		            </div><!-- /.box-header -->
		            
		            <!-- form start -->
		            <form id="btnAcessos" method="post" class="form-horizontal">
			            <div class="box-body">
			                <div class="form-group">
			                  <label for="codAcesso" class="col-md-3 control-label">Cdigo</label>
			
			                  <div class="col-md-9">
			                    <input type="text" class="form-control" id="codAcesso" name="codAcesso" placeholder="cdigo" readonly>
			                  </div>
			                </div>
					        <div class="form-group">
			                  <label for="descAcesso" class="col-md-3 control-label">Descricao</label>
			
			                  <div class="col-md-9">
			                    <input type="text" class="form-control" id="descricao" name="descricao" placeholder="Descricao">
			                  </div>
			                </div>
			                
		                <div class="form-group">
		                  <div class="col-md-4">
		                      <label><input type="checkbox" id="eAdm" onchange="MarcarTudo()" name="eAdm">&nbsp;&nbsp;Administrador</label>
		                  </div>
<!-- 		                  <div class="col-md-4"> -->
<!-- 		                      <label><input type="checkbox" id="eColetas" onchange="DesmarcarAdm()" name="eColetas">&nbsp;&nbsp;Coletas</label> -->
<!-- 		                  </div> -->
		                  <div class="col-md-4">
		                      <label><input type="checkbox" id="eRelatorios" onchange="DesmarcarAdm()" name="eRelatorios">&nbsp;&nbsp;Relatrios</label>
		                  </div>
		                  <div class="col-md-4">
		                      <label><input type="checkbox" id="eQuadras" onchange="DesmarcarAdm()" name="eQuadras" >&nbsp;&nbsp;Tipos & Quadras</label>
		                  </div>
		                  <div class="col-md-4">
		                      <label><input type="checkbox" id="eItens" onchange="DesmarcarAdm()" name="eItens">&nbsp;&nbsp;Itens</label>
		                  </div>
		                  <div class="col-md-4">
		                      <label><input type="checkbox" id="eManutencoes" onchange="DesmarcarAdm()" name="eManutencoes">&nbsp;&nbsp;Manutences</label>
		                  </div>
		                  <div class="col-md-4">
		                      <label><input type="checkbox" id="eReservas" onchange="DesmarcarAdm()" name="eReservas">&nbsp;&nbsp;Reservas</label>
		                  </div>
<!-- 		                  <div class="col-md-4"> -->
<!-- 		                      <label><input type="checkbox" id="eFilasEspera" onchange="DesmarcarAdm()" name="eFilasEspera">&nbsp;&nbsp;Fila de Espera</label> -->
<!-- 		                  </div> -->
<!-- 		                  <div class="col-md-4"> -->
<!-- 		                      <label><input type="checkbox" id="eTipos" onchange="DesmarcarAdm()" name="eQuadras">&nbsp;&nbsp;Quadras</label> -->
<!-- 		                  </div> -->
		                 </div>
		                </div>
			              
			              <div class="box-footer">
			                <button type="submit" class="btn btn-default">Cancelar</button>
			                <button type="submit" id="cadastrar" class="btn btn-info pull-right">Salvar</button>
			              </div><!-- /.box-footer -->
		            </form>
		            
			        <div class="hide statusMessage callout">
						<p></p>
		       		</div><!-- box box-success -->
		        </div>
		        
		        <div class="box box-solid box-info">
		            <div class="box-header with-border text-center">
		              <h3 class="box-title">Cadastrar novo usurio</h3>
		            </div><!-- /.box-header -->

		            <form id="btnFuncionarios" class="form-horizontal" action="#" method="post">
		              <div class="box-body">

		                <div class="form-group">
		                  <label for="descricao1" class="col-md-3 control-label">Matrcula</label>

		                  <div class="col-md-4">
		                    <input type="text" class="form-control" name="matriculaFuncionario" id="txtMatricula" onkeyup="BuscarNome()"
		                    	placeholder="Matrcula">
		                  </div>
		                  <div class="col-md-5">
		                    <input type="text" class="form-control" name="nomeFuncionario" placeholder="Nome" readonly>
		                  </div>
		                </div>

		                <div class="form-group">
						    <div class="col-md-3 control-label"><label>Tipo de acesso</label></div>
						    <div class="col-md-9">
							    <select class="form-control select2" name="tipo_acesso" data-placeholder="Selecione uma opo" style="width: 100%;">
							    	<c:forEach var="acessos" items="${acessos}">
							    		<option>${acessos.descricao}</option>
							    	</c:forEach>
							  	</select>
							</div>
		                </div>

		              </div><!-- /.box-body -->

		              <div class="box-footer">
		                <button type="reset" class="btn btn-default">Cancelar</button>
<!-- 		                <button type="submit" id="cadastrarQuadra" class="btn btn-danger">Excluir</button> -->
		                <button type="submit" id="cadastrarFuncionario"
		                			class="btn btn-info pull-right">Salvar</button>
		              </div><!-- /.box-footer -->

		            </form>

			        <div class="hide statusFuncionario callout">
						<p></p>
			        </div>
				</div>
		
			</div><!-- col-md-6 col-md-auto -->
		
			<div class="col-md-6 col-md-auto">
			
				<%-- LISTAGEM DE ITENS --%>
				<div class="box box-info">
		            <div class="box-header text-center">
		              <h3 class="box-title">Relao dos Acessos.</h3>
		            </div>
		            <!-- /.box-header -->
		            <div class="box-body">
		              <table id="example1" class="table table-bordered table-striped">
		                
		                <thead>
			                <tr>
			                  <th>Descrio</th>
			                  <th>Aes</th>
			                </tr>
		                </thead>
		
		                <tbody>
						  <c:forEach var="acessos" items="${acessos}">
						    <tr id='${acessos.codAcesso}'>
						      <td>${acessos.descricao}</td>
		  		      		  <td>
						        	<div class="btn-group">
										<div class="col align-self-center">
		           							<form method="post" id="btnItens" class="form-horizontal">
												<button type="button" class="btn btn-default btn-sm"
													onclick='Alterar(${acessos.codAcesso}, "${acessos.descricao}", ${acessos.adm}, ${acessos.quadras}, ${acessos.reservas}, ${acessos.manutencoes},${acessos.itens}, ${acessos.relatorios})'>
													<i class="fa fa-edit"></i></button>
												<button type="button" class="btn btn-default btn-sm" 
													 onclick="Deletar(${acessos.codAcesso})">
													<i class="fa fa-trash-o"></i></button>
											</form>
										</div>
				                    </div>
						      </td>
						    </tr>
						  </c:forEach>
		
		                </tbody>
		                
		                <tfoot style="display:none">
			                <tr>
			                  <th>Rendering engine1</th>
			                  <th>Browser</th>
			                  <th>Platform(s)</th>
			                  <th>Engine version</th>
			                  <th>CSS grade</th>
			                </tr>
		                </tfoot>
		                
		              </table>
		            </div><!-- /.box-body -->
		          </div><!-- /.box -->
			
			</div><!-- .col -->
			
			<div class="col-md-6 col-md-auto">
			
				<%-- LISTAGEM DE ITENS --%>
				<div class="box box-info">
		            <div class="box-header text-center">
		              <h3 class="box-title">Relao dos Usurios.</h3>
		            </div>
		            <!-- /.box-header -->
		            <div class="box-body">
		              <table id="example1" class="table table-bordered table-striped">
		                
		                <thead>
			                <tr>
			                  <th>Matrcula</th>
			                  <th>Nome</th>
			                  <th>Acesso</th>
			                  <th>Aes</th>
			                </tr>
		                </thead>
		
		                <tbody>
						  <c:forEach var="usuarios" items="${usuarios}">
						    <tr id='${usuarios.matricula}' class='${usuarios.acesso.codAcesso}'>
						      <td>${usuarios.matricula}</td>
						      <td>${usuarios.nome}</td>
						      <td>${usuarios.acesso.descricao}</td>
		  		      		  <td>
						        	<div class="btn-group">
										<div class="col align-self-center">
		           							<form method="post" id="btnItens" class="form-horizontal">
												<button type="button" class="btn btn-default btn-sm"
													onclick='AlterarFuncionario(${usuarios.matricula}, "${usuarios.nome}", "${usuarios.acesso.descricao}")'>
													<i class="fa fa-edit"></i></button>
												<button type="button" class="btn btn-default btn-sm" 
													 onclick="DeletarFuncionario(${usuarios.matricula})">
													<i class="fa fa-trash-o"></i></button>
											</form>
										</div>
				                    </div>
						      </td>
						    </tr>
						  </c:forEach>
		
		                </tbody>
		                
		                <tfoot style="display:none">
			                <tr>
			                  <th>Rendering engine1</th>
			                  <th>Browser</th>
			                  <th>Platform(s)</th>
			                  <th>Engine version</th>
			                  <th>CSS grade</th>
			                </tr>
		                </tfoot>
		                
		              </table>
		            </div><!-- /.box-body -->
		          </div><!-- /.box -->
			
			</div><!-- .col -->
			
		</div>
	</section><!-- /.content -->
  </div><!-- /.content-wrapper -->

<%-- CARREGAR PRIMEIRO O FOOTER, PARA TER ACESSO AO JQUERY E DEMAIS PLUGINS --%>
<jsp:include page="main/footer.jsp" />

	<%-- DataTables --%>
	<script src="${pageContext.request.contextPath}/plugins/datatables/jquery.dataTables.min.js"></script>
	<script src="${pageContext.request.contextPath}/plugins/datatables/dataTables.bootstrap.min.js"></script>
	<!-- Select2 -->
	<script src="${pageContext.request.contextPath}/plugins/select2/select2.full.min.js"></script>
	
	<%-- Page script --%>
	<script>
	    var form = $('#form1');
	  	$(function () {
			//Initialize Select2 Elements
		    $(".select2").select2();
	
		    //iCheck for checkbox and radio inputs
		    $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
		      checkboxClass: 'icheckbox_minimal-blue',
		      radioClass: 'iradio_minimal-blue'
		    });
		    //Red color scheme for iCheck
		    $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
		      checkboxClass: 'icheckbox_minimal-red',
		      radioClass: 'iradio_minimal-red'
		    });
		    //Flat red color scheme for iCheck
		    $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
		      checkboxClass: 'icheckbox_flat-green',
		      radioClass: 'iradio_flat-green'
		    });
		    
		});
	</script>
	
	<%-- ALTERAR --%>
	<script>
		function Alterar(codAcesso, descricao, adm, quadras, reservas, manutencoes, itens, relatorios){
			$("input[name*='codAcesso']").val(codAcesso);
			$("input[name*='descricao']").val(descricao);

			$("input[name*='eAdm']").prop('checked', adm==1 ? true : false);
			$("input[name*='eQuadras']").prop('checked', quadras==1 ? true : false);
// 			$("input[name*='eTipos']").prop('checked', tipoQuadras==1 ? true : false);
// 			$("input[name*='eFilasEspera']").prop('checked', filasEspera==1 ? true : false);
			$("input[name*='eReservas']").prop('checked', reservas==1 ? true : false);
			$("input[name*='eManutencoes']").prop('checked', manutencoes==1 ? true : false);
			$("input[name*='eItens']").prop('checked', itens==1 ? true : false);
// 			$("input[name*='eColetas']").prop('checked', coletas==1 ? true : false);
			$("input[name*='eRelatorios']").prop('checked', relatorios==1 ? true : false);
		}
	</script>
	
	<%-- EXCLUIR --%>
	<script>

		function Deletar(codigo){
			var URLAJAX = "minhaquadra/acesso/excluir/banco";
			$(".statusMessage").addClass("hide");
			
		    $.ajax({
			    url: URLAJAX,
			    type: "DELETE",
			    async: false,//!IMPORTANT incluir async:false
		   		data: {"codigo":codigo},
			    dataType: "json"
		    })
		    .done(function(data) {
				if(data==0){
					Mensagem(sucesso,"Dados excludos com sucesso.");
				}else{
					Mensagem(erro, "Alguns usurios perderam acesso.");
				}
				
				var row = document.getElementById(codigo);
				row.remove();
				$("."+codigo).remove();
			})
			.fail(function(data) {
				Mensagem(erro, "No foi possvel excluir os dados.");
			});
		}
	  </script>
	  
	<%-- CADASTRAR ACESSO --%>
	<script>
		$(document).ready(function() {
			$(".dataTables_filter").append("<input type='button' value='Atualizar' class='btn btn-info pull-right' />");
			$( "input[value*='Atualizar']" ).click(function() {
				location.href = "acessos_cadastro";
			});
		});

		$( "#cadastrar" ).click(function() {
			var URLAJAX = "minhaquadra/acesso/cadastrar/banco";
			var marcado = false;
			
			var codAcesso = $("input[name*='codAcesso']").val();
			var descricao = $("input[name*='descricao']").val();

			var eAdm = 0;
			if($("input[name*='eAdm']").is(':checked')){ eAdm=1; marcado = true; }
			
			var eQuadras = 0;
			if($("input[name*='eQuadras']").is(':checked')){ eQuadras=1;  marcado = true;}

// 			var eTipos = 0;
// 			if($("input[name*='eTipos']").is(':checked')){ eTipos=1; marcado = true; }

// 			var eFilasEspera = 0;
// 			if($("input[name*='eFilasEspera']").is(':checked')){ eFilasEspera=1; marcado = true; }

			var eReservas = 0;
			if($("input[name*='eReservas']").is(':checked')){ eReservas=1; marcado = true; }

			var eManutencoes = 0;
			if($("input[name*='eManutencoes']").is(':checked')){ eManutencoes=1; marcado = true; }

			var eItens = 0;
			if($("input[name*='eItens']").is(':checked')){ eItens=1; marcado = true; }

// 			var eColetas = 0;
// 			if($("input[name*='eColetas']").is(':checked')){ eColetas=1; marcado = true; }

			var eRelatorios = 0;
			if($("input[name*='eRelatorios']").is(':checked')){ eRelatorios=1; marcado = true; }

			$(".statusMessage").addClass("hide");

			if(descricao == "" ){
				Mensagem(erro, "Preencha a descrio.");
				$("input[name*='descricao']").focus();
				return false;
			}else if(!(marcado)){
				Mensagem(erro, "Selecione uma tela.");
				return false;
			}else{
			    $.ajax({
				    url: URLAJAX,
				    type: "PUT",
				    async: false,//!IMPORTANT incluir async:false
				    data: {
				    	"codAcesso":codAcesso,
				    	"descricao":descricao,
				    	"eAdm":eAdm,
				    	"eQuadras":eQuadras,
// 				    	"eTipos":eTipos,
// 				    	"eFilasEspera":eFilasEspera,
				    	"eReservas":eReservas,
				    	"eManutencoes":eManutencoes,
				    	"eItens":eItens,
// 				    	"eColetas":eColetas,
				    	"eRelatorios":eRelatorios
				    },
				    dataType: "json"
			    })
			 	.done(function(data) {
			 		if(data==1){
						Mensagem(sucesso,"Dados gravados com sucesso.");
			 		}else{
						Mensagem(erro,"No foi possvel gravar os dados.");	 			
			 		}
				})
				.fail(function(data) {
					Mensagem(erro,"No foi possvel gravar os dados.");
				});
			}
		});
		</script>
	  
	<%-- BUSCAR FUNCIONARIO --%>
	<script>
		function BuscarNome(){
			var URLAJAX = "minhaquadra/usuario/buscar/banco";

			$(".statusFuncionario").addClass("hide");					
			
			var matricula = $("input[name*='matriculaFuncionario']").val();
			var nome = $("input[name*='nomeFuncionario']").val();
		    			
			$.ajax({
			    url: URLAJAX,
			    type: "POST",
			    async: false,//!IMPORTANT incluir async:false
			    data: {"matricula":matricula},
			    dataType: "text"
		    })
		    .done(function(data) {
				if(data.length > 1){
					$("input[name*='nomeFuncionario']").val(data);
					
					if (data != "NO ENCONTRADO"){
						$(".statusFuncionario").addClass("hide");
						$("#cadastrarFuncionario").removeClass("hide");						
					}else{
						MensagemFuncionario(erro,"Funcionrio no encontrado.")
						$("#cadastrarFuncionario").addClass("hide");
						return false;
					}
				}else{
					MensagemFuncionario(erro,"No foi possvel buscar os dados.")
					return false;
				}
			})
			.fail(function(data) {
				MensagemFuncionario(erro,"No foi possvel buscar os dados.")
				return false;
			});
		}
	</script>
	
	<%-- CADASTRAR FUNCIONARIO --%>
	<script>
	$( "#cadastrarFuncionario" ).click(function() {
		var URLAJAX = "minhaquadra/usuario/cadastrar/banco";
		
		var matricula = $("input[name*='matriculaFuncionario']").val();
		var nome = $("input[name*='nomeFuncionario']").val();
		var acesso = $("select[name='tipo_acesso']").val();

		if( nome == "" || nome == "NO ENCONTRADO" ){
			MensagemFuncionario(erro,"Preencha a matricula.")
			$("input[name*='matricula']").focus();
			return false;
		}else{
		    
			$.ajax({
			    url: URLAJAX,
			    type: "PUT",
			    async: false,//!IMPORTANT incluir async:false
	    		data: {"matricula":matricula, "nome":nome, "acesso":acesso},
			    dataType: "text"
		    })
		    .done(function(data) {
				MensagemFuncionario(sucesso,"Dados gravados com sucesso.")
			})
			.fail(function(data) {
				MensagemFuncionario(erro,"No foi possvel gravar o registro.")
			});
		}
	});
	</script>
	
	<%-- ALTERAR FUNCIONARIO --%>
	<script>
	function AlterarFuncionario(matricula, nome, descAcesso){		
		$("input[name*='matriculaFuncionario']").val(matricula);
		$("input[name*='nomeFuncionario']").val(nome);
		$("select[name='tipo_acesso']").val(descAcesso).trigger("change");
	}
	</script>
	
	<%-- DELETAR FUNCIONARIO --%>
	<script>
	function DeletarFuncionario(matricula){		
		var URLAJAX = "minhaquadra/usuario/deletar/banco";
		$(".statusFuncionario").addClass("hide");
		
	    $.ajax({
		    url: URLAJAX,
		    type: "DELETE",
		    async: false,//!IMPORTANT incluir async:false
		    data: {"matricula":matricula},
			    dataType: "json"
	    })
	    .done(function(data) {
			if(data==1){
				MensagemFuncionario(sucesso,"Dados excludos com sucesso.")
				
				var row = document.getElementById(matricula);
				row.remove();
			}else{
				MensagemFuncionario(erro,"No foi possvel excluir o registro.")
			}
		})
		.fail(function(data) {
			MensagemFuncionario(erro,"No foi possvel excluir o registro.")
		});
	}
	</script>
	
	<%-- FUNES AUXILIARES --%>
	<script>
		function MarcarTudo(){
			if ($("input[name*='eAdm']").prop('checked')){
				$("input[name*='eQuadras']").prop('checked', true );
// 				$("input[name*='eTipos']").prop('checked', true );
// 				$("input[name*='eFilasEspera']").prop('checked', true );
				$("input[name*='eReservas']").prop('checked', true );
				$("input[name*='eManutencoes']").prop('checked', true );
				$("input[name*='eItens']").prop('checked', true );
// 				$("input[name*='eColetas']").prop('checked', true );
				$("input[name*='eRelatorios']").prop('checked', true );
			}
		}
		
		function DesmarcarAdm(){
			$("input[name*='eAdm']").prop('checked', false);			
		}

		function MensagemFuncionario(codigo, texto){
			if (codigo==sucesso){
				$(".statusFuncionario").addClass("callout-success");
				$(".statusFuncionario").removeClass("callout-danger");
			}else{
				$(".statusFuncionario").addClass("callout-danger");
				$(".statusFuncionario").removeClass("callout-success");
			}
			
			$(".statusFuncionario").removeClass("hide");
			$(".statusFuncionario p").html(texto);
		}
	</script>
	
	
	<%-- page script --%>
	<script>
	  $(function () {
	    $("#example1").DataTable();
	    $('#example2').DataTable({
	      "paging": true,
	      "lengthChange": false,
	      "searching": false,
	      "ordering": true,
	      "info": true,
	      "pageLength": 5,
	      "autoWidth": false
	    });
	  });
	</script>