<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
  <head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">

	<title>${pageTitleCustomized}</title>

	<meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
	<link rel="stylesheet" href="${pageContext.request.contextPath}/bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" href="${pageContext.request.contextPath}/dist/css/font-awesome.min.css">
	<link rel="stylesheet" href="${pageContext.request.contextPath}/dist/css/AdminLTE.min.css">
	<link rel="shortcut icon"  href="${pageContext.request.contextPath}/dist/img/favicon.ico" />
</head>
<body class="hold-transition login-page">


	<div class="login-box">

		  <div class="login-logo">Minhas<b>Quadras</b></div>

		  <div class="login-box-body">
			<p class="login-box-msg">Acesso ao Gestor de Quadras</p>

				<form action="home" method="post">
					<div class="form-group has-feedback">
					  <input type="text" name="usuario" class="form-control" placeholder="Matrcula" value="100">
					  <span class="glyphicon glyphicon-user form-control-feedback"></span>
					</div>
					<div class="form-group has-feedback">
					  <input type="password" name="senha" class="form-control" placeholder="Senha" value="1234">
					  <span class="glyphicon glyphicon-lock form-control-feedback"></span>
					</div>
					<div class="row">
					   <div class="col-xs-4 offset-xs-8">
						 <button type="submit" class="btn btn-primary btn-block btn-flat">Entrar </button>
					   </div>
					</div>
				</form>

				<br />
				<c:choose>
					<c:when test="${not empty msgErro}">
						<div class="alert alert-danger" role="alert">
							<span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
							<span class="sr-only">Error:</span>${msgErro}
						</div>
					</c:when>
				</c:choose>

		  </div><!-- /.login-box-body -->
	</div><!-- /.login-box -->

	<%-- REQUIRED JS SCRIPTS --%>
	<script src="${pageContext.request.contextPath}/plugins/jQuery/jquery-2.2.3.min.js"></script>
	<script src="${pageContext.request.contextPath}/bootstrap/js/bootstrap.min.js"></script>
	
</body>
</html>
