<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<!-- MENU LATERAL ESQUERDO !-->
<aside class="main-sidebar">
	<section class="sidebar">

	  <!-- INFORMACOES DO USUARIO -->
	  <div class="user-panel">
		<div class="pull-left image">
		  <img src="dist/img/u_.jpg" class="img-circle" alt="User Image">
		  <%--<img src="dist/img/u_${sessionScope.usuario.matricula}.jpg" class="img-circle" alt="User Image">--%>
		</div>
		<div class="pull-left info">
		  <p>${sessionScope.usuario.nome}</p>
		  <!-- Status -->
		  <a href="#"><i class="fa fa-circle text-success"></i> Online</a>
		</div>
	  </div>

	  <!-- CAMPO DE PESQUISA -->
	  <form action="#" method="get" class="hide sidebar-form">
		<div class="input-group">
		  <input type="text" name="q" class="form-control" placeholder="Pesquisar...">
			  <span class="input-group-btn">
				<button type="submit" name="search" id="search-btn" class="btn btn-flat"><i class="fa fa-search"></i>
				</button>
			  </span>
		</div>
	  </form><!-- /.search form -->

	  <!-- MENU COM LINKS -->
	  <ul class="sidebar-menu">

			<li class="header">CLUBE DE CAMPO</li>

			<li><a href="#pagina_inicial"><i class="fa fa-dashboard"></i> <span>P&aacute;gina inicial</span></a></li>

	  		<li class="treeview active">
			  <a href="#">
				<i class="fa fa-edit"></i> <span>Cadastro</span>
			  </a>
			  <ul class="treeview-menu">
				<li class="active"><a href="itens_cadastro"><i class="fa fa-circle-o"></i>  <span>Itens </span></a></li>
				<li class="active"><a href="manutencoes_cadastro"><i class="fa fa-circle-o"></i>  <span>Manuten&ccedil;&otilde;es </span></a></li>
				<li class="active"><a href="quadras_cadastro"><i class="fa fa-circle-o"></i>  <span>Quadras </span></a></li>
			  </ul>
			</li>

	  		<li class="treeview active">
			  <a href="#">
				<i class="fa fa-edit"></i> <span>Reservas</span>
			  </a>
			  <ul class="treeview-menu">
				<li class="active"><a href="reservas_associados"><i class="fa fa-circle-o"></i>  <span>Associados</span></a></li>
				<li class="active"><a href="reservas_escolinha"><i class="fa fa-circle-o"></i>  <span>Escolinhas</span></a></li>
				<li class="active"><a href="reservas_torneio"><i class="fa fa-circle-o"></i>  <span>Torneios</span></a></li>
			  </ul>
			</li>

	  		<li class="treeview active">
			  <a href="#">
				<i class="fa fa-edit"></i> <span>Acessos</span>
			  </a>
			  <ul class="treeview-menu">
				<li class="active"><a href="acessos_cadastro"><i class="fa fa-circle-o"></i>  <span>Acessos</span></a></li>
				<li class="active"><a href="usuarios_cadastro"><i class="fa fa-circle-o"></i>  <span>Altera&ccedil;&atilde;o de Senha</span></a></li>
<!-- 				<li class="active"><a href="calendario_reservas"><i class="fa fa-circle-o"></i>  <span>Calend&aacute;rio Geral</span></a></li> -->
			  </ul>
			</li>

	  		<li class="treeview active">
			  <a href="calendario_reservas">
				<i class="fa fa-edit"></i> <span>Calendrio</span>
			  </a>
			</li>
	  </ul>
	</section><!-- /.sidebar -->
</aside><!-- /.main-sidebar -->
