package br.com.gestor.model;

import java.text.ParseException;
import java.util.Calendar;
import java.util.Date;

public class UtilDatas {

	/** Exemplo:<br> Date retorno = AlterarDataStringemDate(Date("30/06/1990 23:59:59:999"), String("02/09/1985")); **/
	public static Date AlterarDataStringemDate(Date date, String dataStr10digitos){

		String[] dateSplit = dataStr10digitos.split("/");
		int diaDoMes = 0, mes = 0, ano4digitos = 0; 
		if(dateSplit.length > 0){
			 if(dateSplit.length > 0 && dateSplit[0] != null)
				 diaDoMes =  Integer.parseInt(dateSplit[0]);
			 if(dateSplit.length > 1 && dateSplit[1] != null)
				 mes =  Integer.parseInt(dateSplit[1]);
			 if(dateSplit.length > 2 && dateSplit[2] != null)
				 ano4digitos = Integer.parseInt(dateSplit[2].substring(0, 4));
		}
		final int MINUS_CALENDAR_INIT_ONE = 1;
		Calendar now = Calendar.getInstance();
			now.setTime(date);//SETA A DATA ORIGINAL
			now.set(Calendar.DAY_OF_MONTH, diaDoMes);
			now.set(Calendar.MONTH, mes-MINUS_CALENDAR_INIT_ONE);
			now.set(Calendar.YEAR, ano4digitos);
		return now.getTime();
	}
	
	/** Exemplo:<br> Date retorno = AlterarHoraStringemDate(Date("30/06/1990 23:59:59:999"), String("05:59")); **/
	public static Date AlterarHoraStringemDate(Date date, String timeStr){
		
		String[] timeSplit = timeStr.split(":");
		int horaformato24 = 0, minuto = 0, segundo = 0, milisegundos = 0; 
		if(timeSplit.length > 0){
			 if(timeSplit.length > 0 && timeSplit[0] != null)
				 horaformato24 = Integer.parseInt(timeSplit[0]);
			 if(timeSplit.length > 1 && timeSplit[1] != null)
				 minuto =  Integer.parseInt(timeSplit[1]);
			 if(timeSplit.length > 2 && timeSplit[2] != null)
				 segundo =  Integer.parseInt(timeSplit[2]);
			 if(timeSplit.length > 3 && timeSplit[3] != null)
				 milisegundos = Integer.parseInt(timeSplit[3]);
		}
		
		Calendar now = Calendar.getInstance();
		now.setTime(date);//SETA A DATA ORIGINAL
		now.set(Calendar.HOUR_OF_DAY, horaformato24);//formato 24horas
		now.set(Calendar.MINUTE, minuto);
		now.set(Calendar.SECOND, segundo);
		now.set(Calendar.MILLISECOND, milisegundos);
		return now.getTime();
	} 
	
	/** Converte uma String para o formato Date */
	public static Date StringParaDate(String str, String formatoData) {
		Date myDate = null;
		try {
			java.text.DateFormat formatter = new java.text.SimpleDateFormat(formatoData);
			myDate = (Date)formatter.parse(str);
		} catch (ParseException e) {
			System.out.println("Erro na conversao de String para Date, checar no retorno.");
		}
		return myDate;
	}

	/** Converte uma Date para o formato String */
	public static String DateParaString(Date date, String formatoData){
		java.text.SimpleDateFormat sdf2 = new java.text.SimpleDateFormat(formatoData);
		return sdf2.format(date);
	}
	
}
