package br.com.gestor.servlet;

/**
    Document: .TestServlet
    Created on : Nov 5, 2016, 9:28:18 PM
    Author     :
*/

import java.io.IOException;
import java.util.ArrayList;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import br.com.gestor.bean.Itens;
import br.com.gestor.dao.ItensDao;

@WebServlet(urlPatterns={"/itens_cadastro"})
public class ItensSvt extends HttpServlet {
	private static final long serialVersionUID = 1L;
	final int ITENS = 4;

    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {

    	request.setAttribute("pageTitleCustomized", "Itens - Painel");//<title>${pageTitleCustomized}</title>
    	request.setAttribute("urlMenuLeftSelected", "itens_cadastro");//setar a url do href do menu

    	ValidaSvt x = new ValidaSvt();
		request.setAttribute("tela", x.ITENS );  
		int libera = x.validaAcesso(request, response);
    	if (libera == x.FAIL) 
        	getServletContext().getRequestDispatcher("/sem_acesso.jsp").forward(request, response);
    	else if (libera == x.USER_NULL)
        	getServletContext().getRequestDispatcher("/sair").forward(request, response);
    	else{
	    	verListagem(request, response);
	
	    	RequestDispatcher dispatcher = getServletContext().getRequestDispatcher("/itens_cadastro.jsp");
	    	dispatcher.forward(request, response);
    	}
    }

    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        this.doGet(request, response);
    }

    public void verListagem(HttpServletRequest request, HttpServletResponse response){

    	ItensDao dao = new ItensDao();
		ArrayList<Itens> lista = dao.listarItens(new Itens());
		request.setAttribute("itens", lista);
    }
}