package br.com.gestor.servlet;

/**
	Document: .TestServlet
	Created on : Nov 5, 2016, 9:28:18 PM
	Author     :
*/

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import br.com.gestor.bean.Usuario;
import br.com.gestor.dao.UsuarioDao;
import br.com.gestor.model.Criptografia;

@WebServlet(urlPatterns={"/home"})
public class LoginSvt extends HttpServlet {
	private static final long serialVersionUID = 1L;

	@Override
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		RequestDispatcher dispatcher = null;
		request.setAttribute("pageTitleCustomized", "Login");//<title>${pageTitleCustomized}</title>
    	request.setAttribute("urlMenuLeftSelected", "#pagina_inicial");//setar a url do href do menu

		String matricula = "";
		String senha = "";
		
		if(request.getParameter("usuario") != null)
			matricula = request.getParameter("usuario");
		if(request.getParameter("senha") != null)
			senha = request.getParameter("senha");
		
		if (!matricula.equalsIgnoreCase("")){// && !senha.equalsIgnoreCase("null")){
			
			Usuario usuario = verificarSenha(matricula, senha);
			if(usuario != null){
				criarSessaoLogin(request, usuario);
				//dispatcher = getServletContext().getRequestDispatcher("/quadras_cadastro");
				//dispatcher.forward(request, response);
				if(usuario.getSenha().equalsIgnoreCase(Criptografia.MD5(""+matricula))){
					response.sendRedirect("./usuarios_cadastro");//redireciona
				}else{
					response.sendRedirect("./calendario_reservas");//redireciona
				}
			}
			else{
				HttpSession session=request.getSession(false);  
	            session.invalidate();  
				request.setAttribute("msgErro", "Usuário e/ou senha inválidos.");
				dispatcher = getServletContext().getRequestDispatcher("/index.jsp");
				dispatcher.forward(request, response);//volte ao login
			}
		}else{
			dispatcher = getServletContext().getRequestDispatcher("/index.jsp");
			dispatcher.forward(request, response);//volte ao login
		}
	}

	@Override
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		this.doGet(request, response);
	}

	/*
	 * Executa a procedure de busca de usuarios com os dados do login 
	 */
	private Usuario verificarSenha(String matricula, String senha) {

		UsuarioDao dao = new UsuarioDao();
		Usuario usuario =  dao.pesquisaUsuarioeSenha(matricula, senha);
		
		return usuario;//null if not found
	}

	/*
	 * Cria uma sessao associada a esta request especifica
	 */
	private void criarSessaoLogin(HttpServletRequest request, Usuario usuario){
		
	      HttpSession session = request.getSession(true);	        
          if(session!=null){//session.isNew()
        	  session.setAttribute("usuario", usuario);
	      }
	}
	
}