package br.com.gestor.servlet;

/**
    Document: .TestServlet
    Created on : Nov 5, 2016, 9:28:18 PM
    Author     :
*/

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import br.com.gestor.bean.Usuario;

@WebServlet(urlPatterns={"/usuarios_cadastro"})
public class UsuarioSvt extends HttpServlet {
	private static final long serialVersionUID = 1L;

    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {

    	request.setAttribute("pageTitleCustomized", "Usuarios - Painel");//<title>${pageTitleCustomized}</title>
    	request.setAttribute("urlMenuLeftSelected", "usuarios_cadastro");//setar a url do href do menu

	    HttpSession session = request.getSession(false);	
	    Usuario usuario = (Usuario) session.getAttribute("usuario") ;
	    if(usuario == null){
        	getServletContext().getRequestDispatcher("/sair").forward(request, response);
	    }else{
		    request.setAttribute("usuario", usuario );
			
	    	RequestDispatcher dispatcher = getServletContext().getRequestDispatcher("/usuarios_cadastro.jsp");
	    	dispatcher.forward(request, response);
	    }
    }

    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        this.doGet(request, response);
    }
}